# luci-app-chatgpt

Welcome to `luci-app-chatgpt`, a LuCI extension for OpenWrt that integrates OpenAI's powerful ChatGPT directly into your router's administration interface. This application allows for real-time interactions with ChatGPT from within LuCI, providing you with an AI-powered assistant to help with various tasks and queries.

## Features

- **ChatGPT Integration**: Directly embed a ChatGPT prompt within the LuCI interface.
- **Customizable Experience**: Select from different GPT versions and set custom directives to tailor the assistant to your needs.
- **Theming Support**: Customize the look and feel with themes that integrate seamlessly into LuCI.
- **Versatile Utility**: Use ChatGPT for a wide range of applications, from network troubleshooting to general inquiries.
- **User-friendly Setup**: Easy to install and configure through the LuCI interface.

## Requirements

- A router running OpenWrt with LuCI installed.
- Internet connectivity for interacting with OpenAI's ChatGPT API.
- An API key from OpenAI (sign up at [OpenAI](https://openai.com/)).

## Installation

To install `luci-app-chatgpt`, follow these steps:

```bash
cd into-your-openwrt-packages-directory
git clone https://gittylab.com/ben/luci-app-chatgpt.git
